> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kryptonfund.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clark Conversations

> Get the recent Clark conversations for a user from Firebase.

Query params:
- user_id: User ID whose conversations should be fetched (required)
- limit: Maximum number of conversations to return (default: 20)



## OpenAPI

````yaml /api-reference/krypton_clark.json get /api/v1/agents/conversations
openapi: 3.1.0
info:
  title: Krypton Strands Orchestrator
  description: Multi-agent orchestration service powered by strands.
  version: 0.1.0
servers:
  - url: https://agent.kryptonfund.com/
    description: Production API
  - url: http://127.0.0.1:8002
    description: Local API
security: []
paths:
  /api/v1/agents/conversations:
    get:
      summary: Get Clark Conversations
      description: |-
        Get the recent Clark conversations for a user from Firebase.

        Query params:
        - user_id: User ID whose conversations should be fetched (required)
        - limit: Maximum number of conversations to return (default: 20)
      operationId: get_clark_conversations_api_v1_agents_conversations_get
      parameters:
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````